tecplot10 not working under Fedora Core 6

Moderators: davetaflin, salter, steve, jprenaud, straton, Chris Idso

iconic
Newbie
Posts: 2
Joined: Wed May 23, 2007 3:55 pm
Location: Melbourne, Australia
Contact:

tecplot10 not working under Fedora Core 6

Postby iconic » Wed May 23, 2007 4:08 pm

Having just upgraded from Fedora Core 4 to Fedora Core 6, I find tecplot v10.0-3-66 is not working. It complains
" error while loading shared libraries: libm.so.5: cannot open shared object file: No such file or directory"

However looking at a Fedora Core 4 install on another machine (where tecplot still works), I find that it does not have libm.so.5, but libm.so.6, the same as Fedora Core 6).

Any ideas on what might be causing the incompatibility?

Is there any solution short of reinstalling Fedora Core 4 (not ideal, since updates are not available)?

Do upgraded versions of tecplot fix this issue or not?

jprenaud
Moderator
Posts: 47
Joined: Thu Dec 21, 2006 3:53 am
Location: UK
Contact:

Re: tecplot10 not working under Fedora Core 6

Postby jprenaud » Thu May 24, 2007 3:07 am

I am not sure what you mean by "upgraded versions" but Tecplot360 (r1 and r2) both work for me on Fedora Core 6, both on i386 and x86_64 machines.
Jim posted some instructions on a sticky post: http://www.tecplottalk.com/viewtopic.php?t=61

I hope this helps.
JP Renaud

iconic
Newbie
Posts: 2
Joined: Wed May 23, 2007 3:55 pm
Location: Melbourne, Australia
Contact:

Re: tecplot10 not working under Fedora Core 6

Postby iconic » Thu May 24, 2007 3:04 pm

I had already tried the instructions suggested in sticky post: http://www.tecplottalk.com/viewtopic.php?t=61 but I already had those rpms, so that wasn't the problem.

Further investigation still suggests that it might be a glibc version problem - I can do the usual trick of putting in a symlink from libm.so.5 to the current libm version, but this merely throws another error. The Fedora Core 6 (for x 86) version of glibc is glibc-2.5-10.fc6. Can anyone confirm that it is a glibc problem and not something else?

I haven't followed the evolution of the tecplot product line since I bought tecplot v10 - I guess I was hoping that there might be a tecplot 10.x build tthat would work with this glibc version. It's good to know that Tecplot360 is OK with FC6, but that doesn't help me right now.

The alternative is to try to find a way of having older glibc versions available for tecplot, but it's easy to damage one's Linux install if this goes wrong (as I've discovered). Advice here would be appreciated too.

jprenaud
Moderator
Posts: 47
Joined: Thu Dec 21, 2006 3:53 am
Location: UK
Contact:

Re: tecplot10 not working under Fedora Core 6

Postby jprenaud » Fri May 25, 2007 12:15 am

That's why I was wondering what you meant by "update". Updating to Tecplot360 solves the problem...

On my FC6 box, I can see another available compatibility library, not mentioned by Jim's post: compat-libstdc++-296. Have you tried installing this too?

Maybe you could run FC4 virtualised in FC6 and install Tecplot10 in your virtualised environment? Have you tried FC5?
JP Renaud

jim

Re: tecplot10 not working under Fedora Core 6

Postby jim » Fri May 25, 2007 6:35 am

Code: Select all

Can anyone confirm that it is a glibc problem and not something else?


Tecplot 10r3 is about three years old and for that release, the only 32-bit linux distribution we offered was for (the equivalent of) RedHat Linux 7 machine, which was using glibc 2.2. Thus, it could very well be the glibc.

Starting with Tecplot 10r4 (November 2004), we offered a glibc 2.3 distribution, (linuxg23.24.tar). Tecplot 10r6 was released March 2005.

For comparison, Fedora releases:
FC 2: May 2004*
FC 3: November 2004*
FC 4: June 2005*
FC 5: March 2006
FC 6: October 2006
FC 7: May 2007 (estimated)

Where * = end of lifetime

jim

Re: tecplot10 not working under Fedora Core 6

Postby jim » Fri May 25, 2007 6:42 am

By the way, it might be useful to run some diagnostics:

Code: Select all

export LD_LIBRARY_PATH=$TEC100HOME/lib:$LD_LIBRARY_PATH
ldd $TEC100HOME/bin/tecplot.shared


There's also a useful script here:

ftp://ftp.tecplot.com/pub/tecplot/getsysinfo

that support uses for diagnosing installation issues.

Ben

Re: tecplot10 not working under Fedora Core 6

Postby Ben » Fri May 25, 2007 8:05 am

Here's a useful link that explains how to set up compatibility environments to run older software on newer distributions:

http://www.novell.com/coolsolutions/feature/11775.html


Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest